org.apache.hc.client5.http.cookie

## Interface CookieSpecFactory

All Known Implementing Classes:
  IgnoreCookieSpecFactory, RFC6265CookieSpecFactory

    @Contract(threading=STATELESS)
    public interface CookieSpecFactory

Factory for `CookieSpec` implementations.

Since:
  4.3

### Method Summary

All Methods Instance Methods Abstract Methods
`CookieSpec` `create(HttpContext context)` Creates an instance of `CookieSpec`.

### Method Detail

#### create

    CookieSpec create(HttpContext context)

Creates an instance of `CookieSpec`.

Returns:
  auth scheme.